# Delete Failed Workflow Run

> Delete a specific failed workflow run from the DLQ.

## Endpoint

`DELETE https://qstash-{region}.upstash.io/v2/workflows/dlq/{dlqId}`

Delete a specific failed workflow run from the DLQ.

Use this endpoint to remove a workflow from the DLQ after you have addressed the issue
or determined that the workflow should not be retried.


## Parameters

- `dlqId` (path, string, required): The DLQ ID of the failed workflow run to delete.

## Responses

### 200 - Workflow deleted successfully

### 400 - Bad Request - Invalid DLQ ID

- `error` (string, required): Error message

### 401 - Unauthorized

- `error` (string, required): Error message

### 404 - DLQ message not found

### 500 - Internal Server Error

- `error` (string, required): Error message

## cURL

```bash
curl --request DELETE \
  --url https://qstash-{region}.upstash.io/v2/workflows/dlq/{dlqId} \
  --header 'Authorization: Bearer <token>'
```
